Page MenuHomePhabricator

ParseValue API module should optionally trigger validation
Closed, ResolvedPublic1 Story Points

Event Timeline

Tobi_WMDE_SW raised the priority of this task from to High.
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set Security to None.Jun 30 2015, 2:07 PM
Tobi_WMDE_SW edited a custom field.

Change 222564 had a related patch set uploaded (by Addshore):
Add ValueValidatorFactory & Tests

https://gerrit.wikimedia.org/r/222564

Change 222565 had a related patch set uploaded (by Addshore):
Add optional validation to ParseValue api

https://gerrit.wikimedia.org/r/222565

daniel claimed this task.Jul 6 2015, 3:52 PM

Adam said he isn't happy with his patch. I'll work on this over the next days.

Change 223192 had a related patch set uploaded (by Daniel Kinzler):
Add optional validation to wbparsevalue

https://gerrit.wikimedia.org/r/223192

Change 222564 abandoned by Addshore:
Add ValueValidatorFactory & Tests

Reason:
Abandon per daniels alternative

https://gerrit.wikimedia.org/r/222564

Change 222565 abandoned by Addshore:
Add optional validation to ParseValue api

Reason:
Abandon per daniels alternative

https://gerrit.wikimedia.org/r/222565

daniel closed this task as Resolved.Aug 5 2015, 10:52 AM

patch merged

daniel reopened this task as Open.Aug 5 2015, 10:52 AM

oops, sorry - this one isn't merged yet

Change 223192 merged by jenkins-bot:
Add optional validation to wbparsevalue

https://gerrit.wikimedia.org/r/223192

daniel closed this task as Resolved.Aug 5 2015, 5:46 PM

patch merged